Bug 1079140 (CVE-2014-0143) - CVE-2014-0143 Qemu: block: multiple integer overflow flaws
Summary: CVE-2014-0143 Qemu: block: multiple integer overflow flaws
Status: CLOSED ERRATA
Alias: CVE-2014-0143
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140326,repor...
Keywords: Security
Depends On: 1079316 1079317 1079318 1079319 1079320 1086724 1087112 1087126 1087140 1108461
Blocks: 1066967 1086694
TreeView+ depends on / blocked
 
Reported: 2014-03-21 04:30 UTC by Prasad J Pandit
Modified: 2016-01-28 09:34 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-27 13:11:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0420 normal SHIPPED_LIVE Moderate: qemu-kvm security update 2014-04-22 21:39:52 UTC
Red Hat Product Errata RHSA-2014:0421 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security update 2014-04-22 21:39:32 UTC
Red Hat Product Errata RHSA-2014:0434 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security update 2014-04-24 21:35:56 UTC
Red Hat Product Errata RHSA-2014:0435 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security update 2014-04-24 21:35:47 UTC
Red Hat Product Errata RHSA-2014:0674 normal SHIPPED_LIVE Moderate: rhev-hypervisor6 3.4.0 security, bug fix, and enhancement update 2014-06-09 18:35:12 UTC

Description Prasad J Pandit 2014-03-21 04:30:06 UTC
Qemu block drivers for CLOOP, QCOW2 version 2 and various other image formats
use by Bochs are vulnerable to an integer overflow flaw. It occurs due to weak
input validations or logic errors. Such integer overflow could lead to buffer
overflows, memory corruption or crash in Qemu instance.

An user able to alter the Qemu disk image files loaded by a guest could use
this flaw to crash the Qemu instance resulting in DoS or corrupt QEMU process
memory on the host, which could potentially result in arbitrary code execution
on the host with the privileges of the QEMU process.

Upstream fixes:
---------------
parallels: Fix catalog size integer overflow
  -> http://git.qemu.org/?p=qemu.git;a=commit;h=afbcc40bee4ef51731102d7d4b499ee12fc182e1

qcow2: Check maximum L1 size in qcow2_snapshot_load_tmp
  -> http://git.qemu.org/?p=qemu.git;a=commit;h=6a83f8b5bec6f59e56cc49bd49e4c3f8f805d56f

block: Limit request size
  -> http://git.qemu.org/?p=qemu.git;a=commit;h=8f4754ede56e3f9ea3fd7207f4a7c4453e59285b

qcow2: Fix new L1 table size check
  -> http://git.qemu.org/?p=qemu.git;a=commit;h=cab60de930684c33f67d4e32c7509b567f8c445b

qcow2: Avoid integer overflow in get_refcount
  -> http://git.qemu.org/?p=qemu.git;a=commit;h=db8a31d11d6a60f48d6817530640d75aa72a9a2f

bochs: Check catalog_size header field 
  -> http://git.qemu.org/?p=qemu.git;a=commit;h=e3737b820b45e54b059656dc3f914f895ac7a88b

block/cloop: prevent offsets_size integer overflow
  -> http://git.qemu.org/?p=qemu.git;a=commit;h=509a41bab5306181044b5fff02eadf96d9c8676a

Comment 1 Prasad J Pandit 2014-03-21 10:28:30 UTC
Statement:

This issue affects the versions of kvm package as shipped with Red Hat
Enterprise Linux 5.

This issue affects the versions of qemu-kvm package as shipped with Red Hat
Enterprise Linux 6.

Comment 5 Prasad J Pandit 2014-03-25 13:33:06 UTC
Acknowledgement:

These issues were discovered by Kevin Wolf and Stefan Hajnoczi of Red Hat Inc.

Comment 6 Prasad J Pandit 2014-04-11 11:39:12 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1086724]

Comment 10 errata-xmlrpc 2014-04-22 17:41:28 UTC
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2014:0421 https://rhn.redhat.com/errata/RHSA-2014-0421.html

Comment 11 errata-xmlrpc 2014-04-22 17:42:27 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0420 https://rhn.redhat.com/errata/RHSA-2014-0420.html

Comment 12 errata-xmlrpc 2014-04-24 17:37:37 UTC
This issue has been addressed in following products:

  OpenStack 3 for RHEL 6

Via RHSA-2014:0435 https://rhn.redhat.com/errata/RHSA-2014-0435.html

Comment 13 errata-xmlrpc 2014-04-24 17:39:56 UTC
This issue has been addressed in following products:

  OpenStack 4 for RHEL 6

Via RHSA-2014:0434 https://rhn.redhat.com/errata/RHSA-2014-0434.html

Comment 14 Fedora Update System 2014-05-01 22:26:20 UTC
qemu-1.6.2-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 errata-xmlrpc 2014-06-09 14:37:42 UTC
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2014:0674 https://rhn.redhat.com/errata/RHSA-2014-0674.html


Note You need to log in before you can comment on or make changes to this bug.